﻿@{
    ViewBag.Title = "Index";
    bool isSpg = (ViewBag.IsSpg == null ? false : (bool)ViewBag.IsSpg);
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Member Participant ACB</h3>
    </div>
</div>
<!-- /Page Header -->


<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-left">
        <div class="form box">
            <div class="widget-content">
                @using (Html.BeginForm(MVC.MemberParticipantACB.GridGetAllPager(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddMember" }))
                {
                    @Html.AntiForgeryToken()

                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Campaign Name </label>
                            <div class="col-md-6">
                                @Html.DropDownList("campaignID", ViewBag.CampaignList as List<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix" })
                            </div>
                        </div>
                    </div>

                    <div class="form-actions">
                        <input type="submit" value="Download" class="btn btn-primary pull-right" id="download-button-reporting">
                        <input type="button" value="Search" class="btn btn-primary pull-right" id="search-button-reporting">
                    </div>


                }
            </div>
        </div>
    </div>
    <ul class="page-stats">
        @if (!isSpg)
        {
            <li>
                <a href="@Url.Action(MVC.MemberParticipantACB.AddSingleParticipant())" class="btn btn-icon input-block-level">
                    <i class="icon-group"></i>
                    <div>Single Upload Participant</div>
                </a>
            </li>
        }

        @if (!isSpg)
        {
            <li>
                <a href="@Url.Action(MVC.MemberParticipantACB.AddMassParticipant())" class="btn btn-icon input-block-level">
                    <i class="icon-group"></i>
                    <div>Mass Upload Participant</div>
                </a>
            </li>
        }
    </ul>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>All Participant Member</h4>
            </div>
            <div class="right-title">

                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachMember", Member = "form" }))
                {
                    <input type="text" id="campaignID" name="campaignID" class="form-control box-search" style="display: none">
                    <button class="hidden" type="submit" id="hidden-search-form"></button>
                }

            </div>
            <div id="tblParticipantContainer" class="widget-content">
                @Html.Action("GridGetAllPager")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>

@section FooterScript{
    <script>
        @*(function () {
            var gridName = 'AllMember';
            var pagingUrl = '@Url.Action(MVC.MemberParticipantACB.GridGetAllPager())';
            $('#download-button-reporting').click(function () {
                setTimeout(function () { HideLoader(); }, 3000);
            });
        }())*@

        function confirmDelete(confirmText, deleteUrl) {
            if (confirm(confirmText)) {
                window.open(deleteUrl, '_self');
            }
        }

        $(document).ready(function () {
            $('#search-button-reporting').click(function () {
                $.get($('#formAddMember').attr('action'), $('#formAddMember').serialize(), function (data) {
                    str = document.getElementById("tblParticipantContainer");
                    str.innerHTML = data;
                    LoadGridFunctions();
                })
            });
            $('#download-button-reporting').click(function () {
                setTimeout(function () { HideLoader(); }, 3000);
            });
            function LoadGridFunctions() {
                function LoadData(dataUrl) {
                    if (dataUrl) {
                        $.ajax({
                            url: dataUrl,
                            complete: function (xhr, status) {
                                if (status === 'success') {
                                    $('div.widget').html(xhr.responseText);
                                } else {
                                    alert(status + ' : ' + xhr.responseText);
                                }
                                LoadGridFunctions();
                            }
                        })
                    }
                }

                $('div.grid-header-title > a, .grid-footer ul.pagination li > a').on('click', function (e) {
                    e.preventDefault();
                    var dataUrl = $(this).data('url');
                    LoadData(dataUrl);
                })

                $('form[name=gridForm]').on('submit', function (e) {
                    e.preventDefault();
                    //e.stopPropagation();
                    HideLoader();
                    var dataUrl = decodeURIComponent($(this).find('[type=hidden][name=rawDataUrl]').val()).replace('@@search@@', $(this).find('[type=text][name=txtSearch]').val());
                    LoadData(dataUrl);
                })
            }
            LoadGridFunctions();
        })
    </script>

}